ipa.h File Reference
`#include <stdint.h>`
`#include <osmocom/core/msgb.h>`
`#include <osmocom/gsm/tlv.h>`

Go to the source code of this file.

## Data Structures

struct | ipaccess_unit

## Functions

const char * | ipa_ccm_idtag_name (uint8_t tag)
int | ipa_ccm_idtag_parse (struct tlv_parsed *dec, unsigned char *buf, int len)
int | ipa_ccm_idtag_parse_off (struct tlv_parsed *dec, unsigned char *buf, int len, const int len_offset)
int | ipa_parse_unitid (const char *str, struct ipaccess_unit *unit_data)
int | ipa_ccm_tlv_to_unitdata (struct ipaccess_unit *ud, const struct tlv_parsed *tp)
struct msgb * | ipa_ccm_make_id_resp (const struct ipaccess_unit *dev, const uint8_t *ies_req, unsigned int num_ies_req)
| Generate IPA CCM ID RESP based on list of IEs. More...
struct msgb * | ipa_ccm_make_id_resp_from_req (const struct ipaccess_unit *dev, const uint8_t *data, unsigned int len)
| Generate IPA CCM ID RESP based on requets payload. More...
int | ipa_send (int fd, const void *msg, size_t msglen)
int | ipa_ccm_send_pong (int fd)
int | ipa_ccm_send_id_ack (int fd)
int | ipa_ccm_send_id_req (int fd)
int | ipa_ccm_rcvmsg_base (struct msgb *msg, struct osmo_fd *bfd)
int | ipa_ccm_rcvmsg_bts_base (struct msgb *msg, struct osmo_fd *bfd)
void | ipa_prepend_header_ext (struct msgb *msg, int proto)
void | ipa_prepend_header (struct msgb *msg, int proto)
struct msgb * | ipa_msg_alloc (int headroom)
int | ipa_msg_recv (int fd, struct msgb **rmsg)
int | ipa_msg_recv_buffered (int fd, struct msgb **rmsg, struct msgb **tmp_msg)

## Function Documentation

## ipa_msg_recv()

int ipa_msg_recv | ( | int | fd,
|  | struct msgb ** | rmsg
| ) |  |

## ipa_msg_recv_buffered()

int ipa_msg_recv_buffered | ( | int | fd,
|  | struct msgb ** | rmsg,
|  | struct msgb ** | tmp_msg
| ) |  |